#include <iostream>

using namespace std;

int main()
{
    long long int a,b,i;
    char c,d;
    cin>>c>>d;
    cin>>a>>b;
    if(a==b){
        for(i=1;i<a+b;i=i+2){
            cout<<c<<d;
        }
    }
    else if(a==b+1){
        for(i=1;i<a+b;i=i+2){
            cout<<c<<d;
        }
        cout<<c;
    }
    else if(b==a+1){
         for(i=1;i<a+b;i=i+2){
            cout<<d<<c;
        }
        cout<<d;
    }
    else{
        cout<<"nemoguce";
    }
}